Subject: Re: [syzbot] [mptcp?] WARNING in __mptcp_clean_una

From: syzbot <[email-masked]>
Date: Tue, 30 Jul 2024 19:00:03 -0700

syzbot suspects this issue was fixed by commit:

commit fb7a0d334894206ae35f023a82cad5a290fd7386
Author: Paolo Abeni <[email-masked]>
Date:   Mon Apr 29 18:00:31 2024 +0000

    mptcp: ensure snd_nxt is properly initialized on connect

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=12c8bdbd980000
start commit:   4f5e5092fdbf Merge tag 'net-6.8-rc5' of git://git.kernel.o..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=1d7c92dd8d5c7a1e
dashboard link: https://syzkaller.appspot.com/bug?extid=5b3e7c7a0b77f0c03b0d
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14fc9c8a180000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=17d0cc1c180000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: mptcp: ensure snd_nxt is properly initialized on connect

For information about bisection process see: https://goo.gl/tpsmEJ#bisection